Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 435112 - kde-base/nepomuk-core-4.9.1 constantly segfaults after login into kde
Summary: kde-base/nepomuk-core-4.9.1 constantly segfaults after login into kde
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: Fixed in 4.9.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-15 11:12 UTC by Michael Mair-Keimberger (iamnr3)
Modified: 2012-10-04 07:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger (iamnr3) 2012-09-15 11:12:16 UTC
After loggin into kde, nepomuk constantly segaults. it happens every time i login.

[   62.576132] nepomukservices[2390]: segfault at c ip 00007f4f07838f24 sp 00007fff3f3249b0 error 4 in nepomukfilewatch.so[7f4f07820000+20000]
[   68.356805] nepomukservices[2425]: segfault at c ip 00007f547aa90f24 sp 00007fff42b2da30 error 4 in nepomukfilewatch.so[7f547aa78000+20000]
[   75.004219] nepomukservices[2444]: segfault at c ip 00007f15b9b40f24 sp 00007fff4e84b830 error 4 in nepomukfilewatch.so[7f15b9b28000+20000]
[   80.744215] nepomukservices[2459]: segfault at c ip 00007f93425f8f24 sp 00007fff5c0fd930 error 4 in nepomukfilewatch.so[7f93425e0000+20000]
[   86.068840] nepomukservices[2467]: segfault at c ip 00007fc32ff80f24 sp 00007fff7563f910 error 4 in nepomukfilewatch.so[7fc32ff68000+20000]
[   91.466023] nepomukservices[2475]: segfault at c ip 00007fe788548f24 sp 00007fffee7f25d0 error 4 in nepomukfilewatch.so[7fe788530000+20000]

emerge --info:
Portage 2.1.11.17 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.15-r2, 3.5.3-gentoo x86_64)
=================================================================
System uname: Linux-3.5.3-gentoo-x86_64-AMD_FX-tm-8150_Eight-Core_Processor-with-gentoo-2.2
Timestamp of tree: Sat, 15 Sep 2012 04:15:01 +0000
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5, 1.12.3
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo x-local sunrise virtualization x11
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx -march=native -march=bdver1 -mtune=bdver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -mcx16 -msahf -maes -mpclmul -mpopcnt -mabm -mlwp -mavx -march=native -march=bdver1 -mtune=bdver1"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j14"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/media/public/overlays/local /media/public/overlays/layman/sunrise /media/public/overlays/layman/virtualization /media/public/overlays/layman/x11"
SYNC="rsync://192.168.2.60/gentoo-portage"
USE="acl alsa amd64 avx berkdb bzip2 cli consolekit cracklib crypt cups cxx dbus dri exif fftw flac fortran gallium gdbm gif gpm graphite iconv icu ipv6 jabber jpeg kde kipi lzma mad mmx mmxext modules mp3 mp4 mudflap multilib ncurses nls nptl opengl openmp pam pcre phonon png policykit pppd qt4 readline sdl semantic-desktop session sip sse sse2 sse3 sse4_1 ssl ssse3 tcpd threads tiff truetype unicode v4l2 vorbis vpx x264 xcb xinerama xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="net niash" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Andreas Sturmlechner gentoo-dev 2012-09-15 11:17:49 UTC
Ah, finally someone else spots this too.

I've got that issue since 4.8.x. Since it doesn't happen with an other user profile, I suspect it must be some kind of corruption.
Comment 2 Andreas Sturmlechner gentoo-dev 2012-09-15 11:32:14 UTC
see also: https://bugs.kde.org/show_bug.cgi?id=306573
Comment 4 Johannes Huber gentoo-dev 2012-10-04 07:26:48 UTC
Thanks for reporting. This should be fixed in cvs now. Sync in some hours to get the changes.

+  04 Oct 2012; Johannes Huber <johu@gentoo.org>
+  +files/nepomuk-core-4.9.2-dirwatch-null.patch,
+  +files/nepomuk-core-4.9.2-kinotify-delete.patch,
+  +nepomuk-core-4.9.2-r1.ebuild,
+  -files/nepomuk-core-4.9.0-kinotify-infinite-loop.patch,
+  -files/nepomuk-core-4.9.0-kinotify-memleak.patch, -nepomuk-core-4.9.2.ebuild:
+  Revision bump backports upstream patches to fix bug #435112. Remove unused
+  patches